# Uses of Interface
jspecview.api.ScriptInterface

Packages that use ScriptInterface
Package
Description
jspecview.api
jspecview.app
jspecview.application
jspecview.common
jspecview.tree

## Uses of ScriptInterface in jspecview.api

Methods in jspecview.api with parameters of type ScriptInterface
Modifier and Type
Method
Description
`void`
JSVTree.`setSelectedPanel(ScriptInterface si, JSVPanel jsvp)`

## Uses of ScriptInterface in jspecview.app

Classes in jspecview.app that implement ScriptInterface
Modifier and Type
Class
Description
`class`
`JSVApp`
JSpecView Applet class.
`class`
`JSVAppPro`

## Uses of ScriptInterface in jspecview.application

Classes in jspecview.application that implement ScriptInterface
Modifier and Type
Class
Description
`class`
`JSpecView`
The Main Class or Entry point of the JSpecView Application.
Fields in jspecview.application declared as ScriptInterface
Modifier and Type
Field
Description
`protected ScriptInterface`
AwtTree.`si`
Methods in jspecview.application with parameters of type ScriptInterface
Modifier and Type
Method
Description
`void`
AwtTree.`setSelectedPanel(ScriptInterface si, JSVPanel jsvp)`

## Uses of ScriptInterface in jspecview.common

Fields in jspecview.common declared as ScriptInterface
Modifier and Type
Field
Description
`ScriptInterface`
JSViewer.`si`
Constructors in jspecview.common with parameters of type ScriptInterface
Modifier
Constructor
Description
``
`JSViewer(ScriptInterface si, boolean isApplet, boolean isJSApplet, boolean hasDisplay)`

## Uses of ScriptInterface in jspecview.tree

Fields in jspecview.tree declared as ScriptInterface
Modifier and Type
Field
Description
`protected ScriptInterface`
SimpleTree.`si`
Methods in jspecview.tree with parameters of type ScriptInterface
Modifier and Type
Method
Description
`void`
SimpleTree.`setSelectedPanel(ScriptInterface si, JSVPanel jsvp)`